Bug 152370 - [PATCH] net/freeradius: support computer account logins
Summary: [PATCH] net/freeradius: support computer account logins
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Matuska
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-18 17:00 UTC by Martin Matuska
Modified: 2010-12-23 09:14 UTC (History)
1 user (show)

See Also:


Attachments
freeradius-2.1.10.patch (2.06 KB, patch)
2010-11-18 17:00 UTC, Martin Matuska
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Matuska freebsd_committer 2010-11-18 17:00:17 UTC
- Add optional support for computer account logins in rlm_mschap.c
- This enables Windows Workstations to login in as a computer before the user logs in

Added file(s):
- files/extra-patch-src-modules-rlm_mschap-rlm_mschap.c

Port maintainer (rpsfa@rit.edu) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-11-18 17:00:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mm

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-11-18 17:00:30 UTC
Maintainer of net/freeradius,

Please note that PR ports/152370 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/152370

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-11-18 17:00:33 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Ryan Steinmetz 2010-11-18 18:37:59 UTC
I'm able to have computers authenticate before the user logs in today, without a patch.

Why specifically is this needed?

Thanks,
-r
Comment 5 Martin Matuska freebsd_committer 2010-11-28 22:33:03 UTC
This is needed when used in combination with LDAP and samba (not with
Active Direcyory). Is this patch o.k. as an option?
Comment 6 Martin Matuska freebsd_committer 2010-12-22 23:27:39 UTC
The patch has been accepted upstream and will be part of 2.1.11 -
therefore I see no problem importing it.

https://bugs.freeradius.org/bugzilla/show_bug.cgi?id=123
https://github.com/alandekok/freeradius-server/commit/b76b34eaf8e5fd79dbcc49110c19b5503bfe5109
Comment 7 dfilter service freebsd_committer 2010-12-23 09:09:32 UTC
mm          2010-12-23 09:09:27 UTC

  FreeBSD ports repository

  Modified files:
    net/freeradius2      Makefile 
  Added files:
    net/freeradius2/files 
                          patch-src-modules-rlm_mschap-rlm_mschap.c 
  Log:
  - Add patch for upstream bug #123 (enable workstation trust account logins)
  
  PR:             ports/152370
  Approved by:    maintainer (timeout)
  
  Revision  Changes    Path
  1.93      +1 -1      ports/net/freeradius2/Makefile
  1.1       +14 -0     ports/net/freeradius2/files/patch-src-modules-rlm_mschap-rlm_mschap.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Martin Matuska freebsd_committer 2010-12-23 09:14:45 UTC
State Changed
From-To: feedback->closed

Commited with changes, thanks!